## Apache Zeta Components Manual :: File Source for accelerator.php

## Source for file accelerator.php

Documentation is available at accelerator.php

1. <?php
2. /**
3. * File containing the ezcSystemInfoAccelerator structure.
4. *
5. * Licensed to the Apache Software Foundation (ASF) under one
6. * or more contributor license agreements. See the NOTICE file
7. * distributed with this work for additional information
8. * regarding copyright ownership. The ASF licenses this file
9. * to you under the Apache License, Version 2.0 (the
10. * "License"); you may not use this file except in compliance
11. * with the License. You may obtain a copy of the License at
12. *
13. * http://www.apache.org/licenses/LICENSE-2.0
14. *
15. * Unless required by applicable law or agreed to in writing,
16. * software distributed under the License is distributed on an
17. * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
18. * KIND, either express or implied. See the License for the
19. * specific language governing permissions and limitations
20. * under the License.
21. *
22. * @package SystemInformation
23. * @version //autogentag//
24. * @license http://www.apache.org/licenses/LICENSE-2.0 Apache License, Version 2.0
25. * @filesource
26. */
28. /**
29. * A container to store information about a PHP accelerator.
30. *
31. * This structure used to represent information about a PHP accelerator parameters
32. * {@link self::name name}
33. * {@link self::url url}
34. * {@link self::isEnabled isEnabled}
35. * {@link self::versionInt versionInt}
36. * {@link self::versionString versionString}
37. *
38. * @see ezcSystemInfo
39. *
40. * @package SystemInformation
41. * @version //autogentag//
42. */
43. class ezcSystemInfoAccelerator extends ezcBaseStruct
44. {
45. /**
46. * Name of PHP accelerator.
47. *
48. * @var string
49. */
50. public $name ;
52. /**
53. * URL of the site of PHP accelerator developer.
54. *
55. * @var string
56. */
57. public $url ;
59. /**
60. * Flag that informs if PHP accelerator enabled or not.
61. *
62. * @var bool
63. */
64. public $isEnabled ;
66. /**
67. * PHP accelerator version number.
68. *
69. * @var int
70. */
71. public $versionInt ;
73. /**
74. * PHP accelerator version number as a string.
75. *
76. * @var string
77. */
78. public $versionString ;
80. /**
81. * Initialize all structure fields with values.
82. *
83. * @param string $name
84. * @param string $url
85. * @param bool $isEnabled
86. * @param int $versionInt
87. * @param string $versionString
88. */
89. public function __construct ( $name, $url, $isEnabled, $versionInt, $versionString )
90. {
91. $this-> name = $name;
92. $this-> url = $url;
93. $this-> isEnabled = $isEnabled;
94. $this-> versionInt = $versionInt;
95. $this-> versionString = $versionString;
96. }
97. }
98. ?>

Documentation generated by phpDocumentor 1.4.3